powerwake(1)

NAME
powerwake - smart utilty for remotely waking sleeping systems

SYNOPSIS
powerwake [-b|--broadcast BROADCAST_IP] [-m|--method METHOD] TARGET_MAC|TARGET_IP|TARGET_HOST

OPTIONS

-b|--broadcast BROADCAST_IP
    Optional parameter specifying the broadcast ip. If unspecified, the default is 255.255.255.255.

-m|--method METHOD
    Currently, 'wol' is the only supported method.

TARGET_MAC|TARGET_IP|TARGET_HOST
    The target system to powerwake may be identified by MAC address, or by an IP/hostname cached in (the current arp(8) table, /etc/ethers, /var/cache/powerwake/ethers).

DESCRIPTION
The powerwake utility compliments the powernap(8) daemon. Administrators can run the powernap utility on remote hosts, allowing them to sleep when un-utilitized. To awake the remote system, use powerwake.

Powerwake is designed to be "smart", and support multiple methods of waking remote hosts, such as wakeonlan, ipmi, and others. Currently, wakeonlan is the only implemented mechanism, though others are intended.

Powerwake is also "smart" in that it can take MAC address, hostnames, or ip addresses. In the case of a hostname or ip address, powerwake will first load a dynamically maintained cache file /var/cache/powerwake/ethers, then a statically administered configuration file /etc/ethers, and finally use the arp table to determine the target MAC address. The cache will be updated accordingly.

http://launchpad.net/powernap

FILES
/etc/ethers, /var/cache/powerwake/ethers

SEE ALSO
arp(8)

AUTHOR
This manpage and the utility was written by Dustin Kirkland <kirkland@canonical.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.